summaryrefslogtreecommitdiffstats
path: root/source/tcl
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl')
-rwxr-xr-xsource/tcl/expect/expect.SlackBuild6
-rwxr-xr-xsource/tcl/hfsutils/hfsutils.SlackBuild5
-rwxr-xr-xsource/tcl/tcl/tcl.SlackBuild43
-rw-r--r--source/tcl/tclx/tclx-8.4.configure.diff31
-rw-r--r--source/tcl/tclx/tclx-8.4.gcc4.diff11
-rwxr-xr-xsource/tcl/tclx/tclx.SlackBuild15
-rwxr-xr-xsource/tcl/tix/tix.SlackBuild7
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild28
8 files changed, 52 insertions, 94 deletions
diff --git a/source/tcl/expect/expect.SlackBuild b/source/tcl/expect/expect.SlackBuild
index eb4806861..42575f8fa 100755
--- a/source/tcl/expect/expect.SlackBuild
+++ b/source/tcl/expect/expect.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
PKGNAM=expect
VERSION=5.44.1.15
-TCLVER=8.5.8
-BUILD=${BUILD:-1}
+TCLVER=8.6.0
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/tcl/hfsutils/hfsutils.SlackBuild b/source/tcl/hfsutils/hfsutils.SlackBuild
index 5ab0f11dd..fb70461d5 100755
--- a/source/tcl/hfsutils/hfsutils.SlackBuild
+++ b/source/tcl/hfsutils/hfsutils.SlackBuild
@@ -23,7 +23,7 @@
PKGNAM=hfsutils
VERSION=${VERSION:-3.2.6}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -73,6 +73,7 @@ find . \
# Configure:
CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -80,7 +81,7 @@ CFLAGS="$SLKCFLAGS" \
--with-tcl=/usr/lib${LIBDIRSUFFIX} \
--with-tk=/usr/lib${LIBDIRSUFFIX} \
--enable-devlibs \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make hfsck/hfsck || exit 1
diff --git a/source/tcl/tcl/tcl.SlackBuild b/source/tcl/tcl/tcl.SlackBuild
index ff0ad5a38..0f553b764 100755
--- a/source/tcl/tcl/tcl.SlackBuild
+++ b/source/tcl/tcl/tcl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.5.11}
-# See also version number 8.5 in the symlinks below...)
+VERSION=${VERSION:-8.6.1}
+# See also version number 8.6 in the symlinks below...)
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -41,24 +41,25 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-tcl
+# Use -DHAVE_USLEEP=1 otherwise the bundled sqlite doesn't work well.
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS="--enable-64bit"
elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS="--enable-64bit"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC -DHAVE_USLEEP=1"
LIBDIRSUFFIX="64"
CONFARGS=""
elif [ "$ARCH" = "arm" ]; then
- SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS=""
elif [ "$ARCH" = "armel" ]; then
- SLKCFLAGS="-O2 -march=armv4t"
+ SLKCFLAGS="-O2 -march=armv4t -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS=""
fi
@@ -87,35 +88,33 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-shared \
--enable-threads \
+ --mandir=/usr/man \
--enable-man-symlinks \
--enable-man-compression=gzip \
${CONFARGS} \
--build=$ARCH-slackware-linux
+
make $NUMJOBS || exit 1
-make install DESTDIR=$PKG
+
+# Fix paths in tclConfig.sh:
+ sed -e "s@^\(TCL_SRC_DIR='\).*@\1/usr/include'@" \
+ -e "/TCL_B/s@='\(-L\)\?.*unix@='\1/usr/lib${LIBDIRSUFFIX}@" \
+ -i tclConfig.sh
+
+make install DESTDIR=$PKG || exit 1
# Some sources require Tcl's private headers, which might not be the
# best thing but we'll include them where we've seen other teams
# doing the same thing:
-mkdir -p $PKG/usr/include/tcl-private/{generic,unix}
-cp -a ../generic/*.h $PKG/usr/include/tcl-private/generic
-cp -a ../unix/*.h $PKG/usr/include/tcl-private/unix
-( cd $PKG/usr/include/tcl-private/generic
- rm -f tcl.h tclDecls.h tclPlatDecls.h
- ln -sf ../../tcl.h .
- ln -sf ../../tclDecls.h .
- ln -sf ../../tclPlatDecls.h
- ln -sf ../unix/tclUnixPort.h
- ln -sf ../unix/tclUnixThrd.h
-)
+make install-private-headers DESTDIR=$PKG || exit 1
( cd $PKG/usr/bin
rm -f tclsh
- ln -sf tclsh8.5 tclsh
+ ln -sf tclsh8.6 tclsh
)
( cd $PKG/usr/lib${LIBDIRSUFFIX}
rm -f libtcl.so
- ln -sf libtcl8.5.so libtcl.so
+ ln -sf libtcl8.6.so libtcl.so
)
find $PKG | xargs file | grep -e "executable" -e "shared object" \
diff --git a/source/tcl/tclx/tclx-8.4.configure.diff b/source/tcl/tclx/tclx-8.4.configure.diff
deleted file mode 100644
index 45fe68760..000000000
--- a/source/tcl/tclx/tclx-8.4.configure.diff
+++ /dev/null
@@ -1,31 +0,0 @@
---- tclx8.4/configure.relid 2006-02-03 16:13:25.000000000 -0500
-+++ tclx8.4/configure 2006-02-03 16:13:33.000000000 -0500
-@@ -6999,7 +6999,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print }' /etc/.relid'`
-+ system=MP-RAS-`awk '{print }' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
---- tclx8.4/tclconfig/tcl.m4.relid 2006-02-03 16:13:43.000000000 -0500
-+++ tclx8.4/tclconfig/tcl.m4 2006-02-03 16:13:57.000000000 -0500
-@@ -859,7 +859,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print $3}' /etc/.relid'`
-+ system=MP-RAS-`awk '{print $3}' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
-@@ -2302,7 +2302,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print $3}' /etc/.relid'`
-+ system=MP-RAS-`awk '{print $3}' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
diff --git a/source/tcl/tclx/tclx-8.4.gcc4.diff b/source/tcl/tclx/tclx-8.4.gcc4.diff
deleted file mode 100644
index 08fe7d881..000000000
--- a/source/tcl/tclx/tclx-8.4.gcc4.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- tclx8.4/generic/tclXdup.c.varinit 2006-02-03 15:54:38.000000000 -0500
-+++ tclx8.4/generic/tclXdup.c 2006-02-03 15:54:53.000000000 -0500
-@@ -202,7 +202,7 @@
- {
- Tcl_Channel newChannel;
- int bindFnum, fnum;
-- char *srcChannelId, *targetChannelId;
-+ char *srcChannelId = NULL, *targetChannelId;
-
- if ((objc < 2) || (objc > 3)) {
- return TclX_WrongArgs (interp, objv [0],
diff --git a/source/tcl/tclx/tclx.SlackBuild b/source/tcl/tclx/tclx.SlackBuild
index f6d538cea..a562e180c 100755
--- a/source/tcl/tclx/tclx.SlackBuild
+++ b/source/tcl/tclx/tclx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=tclx
-VERSION=${VERSION:-8.4}
+VERSION=${VERSION:-8.4.1}
NUMJOBS=${NUMJOBS:-" -j7 "}
BUILD=${BUILD:-3}
@@ -54,12 +54,12 @@ elif [ "$ARCH" = "x86_64" ]; then
fi
cd $TMP
-rm -rf ${PKGNAM}${VERSION}
-tar xvf $CWD/${PKGNAM}$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}$VERSION || exit 1
+rm -rf ${PKGNAM}8.?
+tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+cd ${PKGNAM}8.4 || exit 1
-zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -71,6 +71,7 @@ find . \
# Configure:
CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
diff --git a/source/tcl/tix/tix.SlackBuild b/source/tcl/tix/tix.SlackBuild
index 56b62f555..cd34a5fb4 100755
--- a/source/tcl/tix/tix.SlackBuild
+++ b/source/tcl/tix/tix.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
PKGNAM=tix
VERSION=8.4.3
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -69,6 +69,7 @@ zcat $CWD/tix.tcl8.5.patch.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/tix.soname.patch.gz | patch -p1 || exit 1
CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -76,7 +77,7 @@ CFLAGS="$SLKCFLAGS" \
--enable-threads \
--with-tcl=/usr/lib${LIBDIRSUFFIX} \
--with-tk=/usr/lib${LIBDIRSUFFIX} \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
index f2adfc081..f3f77bbaa 100755
--- a/source/tcl/tk/tk.SlackBuild
+++ b/source/tcl/tk/tk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,8 +21,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.5.11}
-# See also version number 8.5 in the symlinks below...)
+VERSION=${VERSION:-8.6.1}
+# See also version number 8.6 in the symlinks below...)
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -85,34 +85,32 @@ CFLAGS="$SLKCFLAGS" \
--enable-shared \
--enable-threads \
--enable-64bit \
+ --mandir=/usr/man \
--enable-man-symlinks \
--enable-man-compression=gzip \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
+
+# Fix paths in tkConfig.sh:
+ sed -e "s@^\(TK_SRC_DIR='\).*@\1/usr/include'@" \
+ -e "/TK_B/s@='\(-L\)\?.*unix@='\1/usr/lib${LIBDIRSUFFIX}@" \
+ -i tkConfig.sh
+
make install DESTDIR=$PKG || exit 1
# Some sources require Tk's private headers, which might not be the
# best thing but we'll include them where we've seen other teams
# doing the same thing:
-mkdir -p $PKG/usr/include/tk-private/{generic,unix}
-cp -a ../generic/*.h $PKG/usr/include/tk-private/generic
-cp -a ../unix/*.h $PKG/usr/include/tk-private/unix
-( cd $PKG/usr/include/tk-private/generic
- rm -f tk.h tkDecls.h tkPlatDecls.h
- ln -sf ../../tk.h .
- ln -sf ../../tkDecls.h .
- ln -sf ../../tkPlatDecls.h
- for file in $(ls ../unix/*.h) ; do ln -sf $file ; done
-)
+make install-private-headers DESTDIR=$PKG || exit 1
( cd $PKG/usr/bin
rm -f wish
- ln -sf wish8.5 wish
+ ln -sf wish8.6 wish
)
( cd $PKG/usr/lib${LIBDIRSUFFIX}
rm -f libtk.so
- ln -sf libtk8.5.so libtk.so
+ ln -sf libtk8.6.so libtk.so
)
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \